#!/bin/sh
#
# $Id: popb4smtp.sh,v 1.3 2002/11/13 17:19:55 sheldonh Exp $

case "$1" in
start)
	if [ -x /usr/local/sbin/popb4smtp-watch ] &&
	   [ -x /usr/local/sbin/popb4smtp-clean ]; then
		daemon -f /usr/local/sbin/popb4smtp-watch &&
		    echo -n ' popb4smtp-watch'
		daemon -f /usr/local/sbin/popb4smtp-clean &&
		    echo -n ' popb4smtp-clean'
	fi
	;;
stop)
	kill `cat /var/run/popb4smtp-watch.pid` &&
	    echo -n ' popb4smtp-watch'
	kill `cat /var/run/popb4smtp-clean.pid` &&
	    echo -n ' popb4smtp-clean'
	;;
*)
	echo "Usage: `basename $0` {start|stop}" >&2
	exit 64
	;;
esac

exit 0
